; ASPI v. 2016
; Sada skript a konfiguranch soubor k aplikaci ASPI v. 2016 (novj verze rozhran aplikace; aplikan soubor ASPIWIN.EXE),
; verze 1.0, 5. 3. 2019
; odladno pro barevnou hloubku grafickho rozlien 32 a 16 bit
; odladno pro JAWS 18 a Windows 7 a vy
; sestavil Svatoslav Ondra
; (c) Masarykova univerzita 2007-2019


Include "HjConst.jsh"

Const
	CurrentOcurrenceBackground = 255,														; slo barvy pozad aktulnho vskytu hledanho etzce
	FindTextWindowClassName = "AfxFrameOrView100",					; jmno tdy okna s textem pedpisu
	NotPassingThroughScriptShortcut = "JAWSKey+C",						; klvesov zkratka pro vyvoln funkce bez proputn F3 / Shift+F3
	NoOcurrenceFoundMsg = "Hledan vraz nenalezen."					; chybov hlen pi nenalezen zvraznnho vrazu


Script ASPIFindNext ()

	If GetCurrentScriptKeyName() != NotPassingThroughScriptShortcut then	; Klvesu F3 / Shift+F3 propustit do ASPI jen tehdy, kdy je skript vyvoln prv j,...
		TypeCurrentScriptKey ()
	Endif
	Delay (2)
	If GetWindowClass(GetFocus()) == FindTextWindowClassName  then	; ...ale doprovodn operace provdt, jen kdy se kurzor nachz v okn s textem pedpisu.
		JAWSCursor ()
		SaveCursor ()																									; Uchov aktuln pozici JAWS kurzoru.
		SetRestriction (RestrictWindow)
		If FindColors (IgnoreColor, CurrentOcurrenceBackground, S_Top) then
			RoutePCToJAWS ()
			RestoreCursor ()																							; Po splnn kolu se JAWS kurzor vrac na pvodn msto.
			PCCursor ()																										; Po vykonn operac bude aktivn vdy PC kurzor.
			Delay (2)
			SayWord ()
		else
			RestoreCursor ()																							; Akoliv vskyt nebyl nalezen, mus se vynulovat pam uchovanch pozic kurzoru.
			PCCursor ()																										; Aby byl typ aktivnho kurzoru po vykonn operace vdy stejn, pro jistotu se nastavuje PC kurzor, i kdy nebyl vskyt nalezen.
			Say (NoOcurrenceFoundMsg, ot_jaws_message)
		Endif
	Endif

EndScript


Script GetBackgroundColorNumber ()															; pracovn skript pro zjitn sla barvy pozad na pozici PC kurzoru

	JAWSCursor ()
	RouteJAWSToPC ()
	SayString (IntToString(GetColorBackground()))
	PCCursor ()

EndScript
